Productsup

Retrieve a single export custom form field

An export custom form field is a form field belonging to an export. Once created, the form field will be visible in the site channel settings in the productsup platform. This endpoint shows a single export custom form field belonging to a single export.

GET
/V1/export/{exportId}/export-custom-form-field/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

id*string

Export Custom Form Field id.

Response Body

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export/string/export-custom-form-field/string"
{
  "data": {
    "id": 2638,
    "name": "title",
    "caption": "title",
    "type": "text",
    "placeholder": "some text",
    "data": "",
    "trigger": "ADD_TITLE_HEADER",
    "order": 1
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export Custom Form Field with id 123 not found."
  }
}